Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## weblogic.apache.xerces.dom
Class TextImpl

    java.lang.Object
      weblogic.apache.xerces.dom.NodeImpl
          weblogic.apache.xerces.dom.ChildNode
              weblogic.apache.xerces.dom.CharacterDataImpl
                  weblogic.apache.xerces.dom.TextImpl

All Implemented Interfaces:
  Serializable, Cloneable, CharacterData, EventTarget, Node, NodeList, Text

Direct Known Subclasses:
  CDATASectionImpl, DeferredTextImpl

Deprecated. please use JDK supplied XML parsers and transformers

    public class TextImpl

extends CharacterDataImpl
implements CharacterData, Text

Text nodes hold the non-markup, non-Entity content of an Element or Attribute.

When a document is first made available to the DOM, there is only one Text object for each block of adjacent plain-text. Users (ie, applications) may create multiple adjacent Texts during editing -- see `Node.normalize()` for discussion.

Note that CDATASection is a subclass of Text. This is conceptually valid, since they're really just two different ways of quoting characters when they're written out as part of an XML stream.

This class is based on an implementation from the Apache XML Project. In future releases the XML parser, XSLT processor, and associated classes will likely be updated to be based on a later version of the Apache implementations. Since Apache does not guarantee backwards compatibility between versions of their software, we cannot guarantee backwards compatibility of any of the classes contained in the weblogic.apache package or sub-packages.

Since:
  PR-DOM-Level-1-19980818.
See Also:
  Serialized Form

Field Summary

Fields inherited from class weblogic.apache.xerces.dom.CharacterDataImpl
`data`

Fields inherited from class weblogic.apache.xerces.dom.ChildNode
`nextSibling, previousSibling`

Fields inherited from class weblogic.apache.xerces.dom.NodeImpl
`ELEMENT_DEFINITION_NODE, FIRSTCHILD, flags, HASSTRING, IDATTRIBUTE, IGNORABLEWS, OWNED, ownerNode, READONLY, SPECIFIED, SYNCCHILDREN, SYNCDATA, TREE_POSITION_ANCESTOR, TREE_POSITION_DESCENDANT, TREE_POSITION_DISCONNECTED, TREE_POSITION_EQUIVALENT, TREE_POSITION_FOLLOWING, TREE_POSITION_PRECEDING, TREE_POSITION_SAME_NODE, UNNORMALIZED`

Constructor Summary
`TextImpl()` Deprecated. Default constructor
`TextImpl(CoreDocumentImpl ownerDoc, String data)` Deprecated. Factory constructor.

Method Summary
`boolean` | `getIsWhitespaceInElementContent()` Deprecated. DOM Level 3 WD - Experimental.
`String` | `getNodeName()` Deprecated. Returns the node name.
`short` | `getNodeType()` Deprecated. A short integer indicating what type of node this is.
`String` | `getWholeText()` Deprecated. DOM Level 3 WD - Experimental.
`boolean` | `isIgnorableWhitespace()` Deprecated. NON-DOM: Returns whether this Text is ignorable whitespace.
`String` | `removeData()` Deprecated. NON-DOM (used by DOMParser: Sets data to empty string.
`void` | `replaceData(String value)` Deprecated. NON-DOM (used by DOMParser): Reset data for the node.
`Text` | `replaceWholeText(String content)` Deprecated. DOM Level 3 WD - Experimental.
`void` | `setIgnorableWhitespace(boolean ignore)` Deprecated. NON-DOM: Set whether this Text is ignorable whitespace.
`void` | `setValues(CoreDocumentImpl ownerDoc, String data)` Deprecated. NON-DOM: resets node and sets specified values for the current node
`Text` | `splitText(int offset)` Deprecated. Break a text node into two sibling nodes.

Methods inherited from class weblogic.apache.xerces.dom.CharacterDataImpl
`appendData, deleteData, getChildNodes, getData, getLength, getNodeValue, insertData, replaceData, setData, setNodeValue, setNodeValueInternal, substringData`

Methods inherited from class weblogic.apache.xerces.dom.ChildNode
`cloneNode, getNextSibling, getParentNode, getPreviousSibling`

Methods inherited from class weblogic.apache.xerces.dom.NodeImpl
`addEventListener, appendChild, changed, changes, compareTreePosition, dispatchEvent, getAttributes, getBaseURI, getFirstChild, getInterface, getLastChild, getLocalName, getNamespaceURI, getOwnerDocument, getPrefix, getReadOnly, getTextContent, getUserData, getUserData, hasAttributes, hasChildNodes, insertBefore, isDefaultNamespace, isEqualNode, isSameNode, isSupported, item, lookupNamespacePrefix, lookupNamespaceURI, needsSyncChildren, normalize, removeChild, removeEventListener, replaceChild, setPrefix, setReadOnly, setTextContent, setUserData, setUserData, synchronizeData, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface org.w3c.dom.CharacterData
`appendData, deleteData, getData, getLength, insertData, replaceData, setData, substringData`

Methods inherited from interface org.w3c.dom.Node
`appendChild, cloneNode, compareDocumentPosition, getAttributes, getBaseURI, getChildNodes, getFeature, getFirstChild, getLastChild, getLocalName, getNamespaceURI, getNextSibling, getNodeValue, getOwnerDocument, getParentNode, getPrefix, getPreviousSibling, getTextContent, getUserData, hasAttributes, hasChildNodes, insertBefore, isDefaultNamespace, isEqualNode, isSameNode, isSupported, lookupNamespaceURI, lookupPrefix, normalize, removeChild, replaceChild, setNodeValue, setPrefix, setTextContent, setUserData`

Methods inherited from interface org.w3c.dom.Text
`isElementContentWhitespace`

Methods inherited from interface org.w3c.dom.CharacterData
`appendData, deleteData, getData, getLength, insertData, replaceData, setData, substringData`

Methods inherited from interface org.w3c.dom.Node
`appendChild, cloneNode, compareDocumentPosition, getAttributes, getBaseURI, getChildNodes, getFeature, getFirstChild, getLastChild, getLocalName, getNamespaceURI, getNextSibling, getNodeValue, getOwnerDocument, getParentNode, getPrefix, getPreviousSibling, getTextContent, getUserData, hasAttributes, hasChildNodes, insertBefore, isDefaultNamespace, isEqualNode, isSameNode, isSupported, lookupNamespaceURI, lookupPrefix, normalize, removeChild, replaceChild, setNodeValue, setPrefix, setTextContent, setUserData`

Constructor Detail

### TextImpl

    public TextImpl()

  Deprecated.
  Default constructor

### TextImpl

    public TextImpl(CoreDocumentImpl ownerDoc,
                    String data)

  Deprecated.
  Factory constructor.

Method Detail

### setValues

    public void setValues(CoreDocumentImpl ownerDoc,
                          String data)

  Deprecated.
  NON-DOM: resets node and sets specified values for the current node

  Parameters:
    `ownerDoc` -
    `data` -

### getNodeType

    public short getNodeType()

  Deprecated.
  A short integer indicating what type of node this is. The named constants for this value are defined in the org.w3c.dom.Node interface.

  Specified by:
    `getNodeType` in interface `Node`
  Specified by:
    `getNodeType` in class `NodeImpl`

### getNodeName

    public String getNodeName()

  Deprecated.
  Returns the node name.

  Specified by:
    `getNodeName` in interface `Node`
  Specified by:
    `getNodeName` in class `NodeImpl`

### setIgnorableWhitespace

    public void setIgnorableWhitespace(boolean ignore)

  Deprecated.
  NON-DOM: Set whether this Text is ignorable whitespace.

### getIsWhitespaceInElementContent

    public boolean getIsWhitespaceInElementContent()

  Deprecated.
  DOM Level 3 WD - Experimental. Returns whether this text node contains whitespace in element content, often abusively called "ignorable whitespace".

### getWholeText

    public String getWholeText()

  Deprecated.
  DOM Level 3 WD - Experimental. Returns all text of `Text` nodes logically-adjacent text nodes to this node, concatenated in document order.

  Specified by:
    `getWholeText` in interface `Text`
  Since:
    DOM Level 3

### replaceWholeText

    public Text replaceWholeText(String content)
                          throws DOMException

  Deprecated.
  DOM Level 3 WD - Experimental.

  Specified by:
    `replaceWholeText` in interface `Text`
  Throws:
    `DOMException`

### isIgnorableWhitespace

    public boolean isIgnorableWhitespace()

  Deprecated.
  NON-DOM: Returns whether this Text is ignorable whitespace.

### splitText

    public Text splitText(int offset)
                   throws DOMException

  Deprecated.
  Break a text node into two sibling nodes. (Note that if the current node has no parent, they won't wind up as "siblings" -- they'll both be orphans.)

  Specified by:
    `splitText` in interface `Text`
  Parameters:
    `offset` - The offset at which to split. If offset is at the end of the available data, the second node will be empty.
  Throws:
    `DOMException(INDEX_SIZE_ERR)` - if offset is <0 or >length.
    `DOMException(NO_MODIFICATION_ALLOWED_ERR)` - if node is read-only.
    `DOMException`

### replaceData

    public void replaceData(String value)

  Deprecated.
  NON-DOM (used by DOMParser): Reset data for the node.

### removeData

    public String removeData()

  Deprecated.
  NON-DOM (used by DOMParser: Sets data to empty string. Returns the value the data was set to.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at http://e-docs.bea.com/wls/docs92 Copyright 2006 BEA Systems Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD